<?php

if (!defined('WC_VAT_COMPLIANCE_DIR')) die('No direct access.');

if (!class_exists('WC_VAT_Region_eu')) require_once(WC_VAT_COMPLIANCE_DIR.'/regions/eu.php');

class WC_VAT_Region_eu_and_uk extends WC_VAT_Region_eu {

	/**
	 * Get a list of countries that define the region
	 *
	 * @return Array
	 */
	public function get_countries() {
		return array_merge(
			WC()->countries->get_european_union_countries(),
			array('MC', 'GB', 'IM')
		);
	}
	
	/**
	 * Return the title for the region
	 *
	 * @param String $context - 'noun', 'adjective'
	 *
	 * @return String
	 */
	public function get_region_title($context) {
		if ('adjective' == $context) return __('EU/UK', 'woocommerce-eu-vat-compliance');
		return __('the EU and UK', 'woocommerce-eu-vat-compliance');
	}
	
}
